#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <limits.h>

#include "sudoku_engine.h"


int main(int argc, char *argv[])
{
    const char puzzle[] = "4.....8.5.3..........7......2.....6.....8.4......1.......6.3.7.5..2.....1.4......";
	Grid  *solved_list;
    char outbuf[128];
    init_solve_engine(NULL,NULL,NULL,0,0);
	solved_list = solve_sudoku(puzzle);
	//printf("%d \n",solved_list->solncount); 
    
    format_answer(solved_list, outbuf);
    print_grid(outbuf, stdout);
    	
    return 0;
}
